Subject: Re: [PATCH] Documentation: Transplanting branch with git-rebase --onto

From: Jakub Narebski <[email-masked]>
Date: Tue, 7 Nov 2006 00:14:20 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>> Added example of transplantig feature branch from one development
>> branch (for example "next") into the other development branch (for
>> example "master").
>>
>> [jn: with a little help from Junio]
>>
>> Signed-off-by: Jakub Narebski <[email-masked]>
>> ---
>> What about this?
> 
> I agree with Carl that the original example of --onto was not
> clear why it is a good thing, so I am inclined to follow his
> suggestion and drop the original example and keep your second
> one yanked from your try#1 patch when committing, if it is Ok
> with you.

That's O.K. by me. 

Perhaps you can add the info that git-rebase with <branch> argument 
switches to given branch (is equivalent to checkout + rebase without
<branch> argument).

P.S. The "transplanting from 'next' to 'master'" example was taken from 
your mail, Junio:
  Message-ID: <[email-masked]>
  http://permalink.gmane.org/gmane.comp.version-control.git/22923

-- 
Jakub Narebski